#pragma once

#include "ofMain.h"
#include "vectorField.h"


#define MAX_NUM_PTS 				19200


class particle{


	public :

		particle();

		void setPropertiesAndTurnOn(float x,float y,float x_v,float y_v, float z);
		void update(float screenW, float screenH, float dt);
		void updateVel(float dt, float damping);
		void draw(float time);
		void reset();

        float getDist(){
            return (px-ox)*(px-ox)+(py-oy)*(py-oy);
        }

		float ox, oy;		// original position
		float px, py, pz;  	// position
		float vx, vy;  		// velocity
		float dropOffRate; 	// how do we slow
		bool  bAlive;
		float force;
		float size;


		vectorField * VFptr;
		bool bRecvVFptr;
		int counter;
};
